PreLoader on LU64/65

Discussion in 'Wii - Hacking' started by nknave, Jun 28, 2009.

  1. nknave
    OP

    nknave GBAtemp Regular

    Member
    154
    0
    Jun 23, 2009
    Mexico
    Sorry if this has ever been answered before.

    But anywhere you look, most threads get unanswered, we either don't know or we don't care.

    But here's something I just thought of, and I think It should work.


    If you download latest wads using NUS1.1a

    IOS35-64-v3092.WAD
    IOS36-64-v3094.WAD

    Patch them with FreeTheBug....They should have the trucha bug back.


    Now, PreLoader0.29-Cred should be able to Install, but I don't know what will happen with IOS60 when patched....hmmmm


    Anyone?
     
  2. s3phir0th115

    s3phir0th115 GBAtemp Advanced Fan

    Member
    701
    4
    Dec 31, 2008
    United States
    From what I understand, IOS60 has been patched in this way and found to work fine. So your method could work if you used the cboot2 method to get the wads installed and used PC tools to actually get the wads and patch them.

    Edit:
    Of course, this is assuming you have a 4.0 Wii. I don't know if all LU64's have that or not.
     
  3. mtb-bfh

    mtb-bfh Advanced Member

    Newcomer
    97
    0
    Apr 8, 2009
    United States
    As has already been said in multiple preloader vs LU64 threads, this has been tried and the preloader installer needs something beyond a trucha-patched IOS36, likely an ES_ function patch. I don't see what IOS35 even has to do with anything.
     
  4. micahkanchan

    micahkanchan GBAtemp Regular

    Member
    116
    0
    Sep 21, 2008
    Canada
    This is the same thing as softmii 3.0's softcorp. Just download softcorp, and install. It grabs the latest wads, and patches them with trucha on the fly.
     
  5. nknave
    OP

    nknave GBAtemp Regular

    Member
    154
    0
    Jun 23, 2009
    Mexico

    OK,

    My Preloader asks for IOS35 not IOS36......... anyone know what's up with that?

    I got my Preloader from SoftMii2.9.7 Package.
     
  6. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,346
    326
    Nov 19, 2008
    United States
    Sandy, UT
    Apparently softcorp in the new softmii allows for Preloader to be installed.
     
  7. Bloodlust

    Bloodlust GBAtemp Maniac

    Member
    1,070
    2
    May 25, 2006
    Hong Kong
    But the softcorp isn't for lu64 machines right?
     
  8. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,346
    326
    Nov 19, 2008
    United States
    Sandy, UT
    From what I gather, it is.
     
  9. mtb-bfh

    mtb-bfh Advanced Member

    Newcomer
    97
    0
    Apr 8, 2009
    United States
    Kudos to them if so, but they could have helped out the scene way more by just releasing a preloader fix and/or info rather than another bundle with a rambling guide.

    edit: confirmed, I used softcorp to patch IOS36 which allowed preloader to install on my LU644+ (those are the only files I modified and the only thing I used from the softmii bundle) All seems working.
     
  10. Scarfish

    Scarfish GBAtemp Regular

    Member
    101
    0
    Jan 5, 2009
    Netherlands
    I just finished a little homebrew that downloads the latest IOS36, patches trucha back in and patches the ES_DiVerify (aka ES_Identify) like Preloader does. This results in an IOS36 that can be used to identify as SU and allows Preloader to be installed.

    I just confirmed that his works on LU64/65 and installed Preloader without the use of Softcorp!
    Will be releasing it soon [​IMG].
     
  11. Scarfish

    Scarfish GBAtemp Regular

    Member
    101
    0
    Jan 5, 2009
    Netherlands
    Ok, I published it here.